Bug 1913431 - Use ibus-unikey as the default IME for Vietnamese
Summary: Use ibus-unikey as the default IME for Vietnamese
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F34Changes
TreeView+ depends on / blocked
 
Reported: 2021-01-06 18:29 UTC by Ben Cotton
Modified: 2021-11-27 08:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-27 08:15:26 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2021-01-06 18:29:11 UTC
This is a tracking bug for Change: Use ibus-m17n as the default IME for Vietnamese
For more details, see: https://fedoraproject.org/wiki/Changes/ibus-m17n_as_default_Vietnamese_IME

The current default input method for Vietnamese is ibus-bogo. This should change to the ibus-m17n input method “m17n:vi:telex - telex (m17n)”

Comment 1 Giai Ngo 2021-02-07 14:52:39 UTC
Hi,
I am Vietnamese. I have tried using different Vietnamese typing tools even telex (m17n). Currently, I can only type Vietnamese through ibus-unikey, all other tools have errors when typing (missing characters). All the tools that support Vietnamese typing on linux that I try have not fixed the mouse click movement. In my opinion, the inclusion of ibus-m17n with telex type support is inadequate. Maybe consider ibus-unikey for Vietnamese.
Thanks for the consideration for ibus-unikey as the standard for Vietnamese typing.

Comment 2 Ben Cotton 2021-02-09 14:58:43 UTC
Today we reached the Completion deadline (testable) milestone in the Fedora schedule. All approved changes should be in a testable state. If you change is testable, please indicate this by setting the status to MODIFIED.

If you need to defer the change to Fedora 35 or withdraw the change entirely, please indicate this in a comment and NEEDINFO bcotton.

The 100% code complete deadline is Tuesday 23 February. By that date, your change should be fully implemented and the tracking bug set to ON_QA.

For other Fedora 34 milestones, see https://fedorapeople.org/groups/schedule/f-34/f-34-key-tasks.html

Comment 3 Giai Ngo 2021-02-11 08:06:29 UTC
Some details with m17n:
telex(m17n) error vietnamese typing (missing characters)

https://youtu.be/bV--ioAPc10

https://www.youtube.com/watch?v=-h7WihKeaLs

Comment 4 Giai Ngo 2021-02-11 08:27:50 UTC
ibus-unikey

https://youtu.be/60YjkM-YUd4

Comment 5 Ben Cotton 2021-02-16 15:51:51 UTC
Reminder: The change complete (100% complete) deadline for Fedora 34 changes is Tuesday 23 February. At that point, changes should be 100% code complete, along with supporting documentation where appropriate. Please indicate this by setting the tracker bug for your change to ON_QA.

Comment 6 Jens Petersen 2021-02-22 06:06:37 UTC
(In reply to Thuong Nghieng from comment #4)
> ibus-unikey
> 
> https://youtu.be/60YjkM-YUd4

Thank you very much for the very helpful feedback:
for F34 we agree and decided to make the switch to ibus-unikey instead.

Comment 8 Ben Cotton 2021-02-23 16:38:04 UTC
Today is the change complete (100% complete) deadline for Fedora 34 changes. At this point, changes should be 100% code complete, along with supporting documentation where appropriate. Please indicate this by setting the tracker bug for your change to ON_QA. If you need to defer this change to Fedora 35, please set the version to 'rawhide'.

As a reminder, the Beta freeze is now in effect.

Comment 9 Zbigniew Jędrzejewski-Szmek 2021-02-24 15:50:50 UTC
'ibus list-engine | grep unikey' shows nothing.
And comps hasn't been updated.

Comment 10 Jens Petersen 2021-02-25 16:08:32 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #9)
> 'ibus list-engine | grep unikey' shows nothing.
> And comps hasn't been updated.

Thanks for the testing and feedback, Zbigniew

We have updated/tweaked the Change page to make the intent/scope of this small Change clearer/more correct.

ibus-m17n has been a default installed IME for a long time,
but with this revision to the Change (to workaround input issues with Wayland)
at this time we do not intend to install ibus-unikey by default in Workstation for all users.

But users, who install in Vietnamese or select a Vietnamese desktop,
should get ibus-unikey post-installed automatically via the langpacks mechanism.
This should work with langpacks-3.0-11.fc34 or later.

A simple way to check will be `sudo dnf install langpacks-vi`
(currently I am still seeing langpacks-3.0-10.fc34 here).

Comment 11 Zbigniew Jędrzejewski-Szmek 2021-02-25 18:19:17 UTC
Oh, OK. langpacks-3.0-12.fc34 should go out in the next compose, i.e. even today.
So everything seems in order.


Note You need to log in before you can comment on or make changes to this bug.